VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::EthernetTypes::EmulationType Class Reference

The `Ethernet.EmulationType` enumerated type defines the valid emulation types for a virtual Ethernet adapter. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, E1000, E1000E, PCNET32, VMXNET, VMXNET2, VMXNET3 }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static EmulationType[] | GetValues ()
static EmulationType | ValueOf (string name)
## Static Public Attributes
static readonly EmulationType | E1000 = new EmulationType("E1000", Values.E1000)
| E1000 ethernet adapter.
static readonly EmulationType | E1000E = new EmulationType("E1000E", Values.E1000E)
| E1000e ethernet adapter.
static readonly EmulationType | PCNET32 = new EmulationType("PCNET32", Values.PCNET32)
| AMD Lance PCNet32 Ethernet adapter.
static readonly EmulationType | VMXNET = new EmulationType("VMXNET", Values.VMXNET)
| VMware Vmxnet virtual Ethernet adapter.
static readonly EmulationType | VMXNET2 = new EmulationType("VMXNET2", Values.VMXNET2)
| VMware Vmxnet2 virtual Ethernet adapter.
static readonly EmulationType | VMXNET3 = new EmulationType("VMXNET3", Values.VMXNET3)
| VMware Vmxnet3 virtual Ethernet adapter.

## Detailed Description

The `Ethernet.EmulationType` enumerated type defines the valid emulation types for a virtual Ethernet adapter.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::EthernetTypes::EmulationType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  E1000 | E1000 ethernet adapter.
  E1000E | E1000e ethernet adapter.
  PCNET32 | AMD Lance PCNet32 Ethernet adapter.
  VMXNET | VMware Vmxnet virtual Ethernet adapter.
  VMXNET2 | VMware Vmxnet2 virtual Ethernet adapter.
  VMXNET3 | VMware Vmxnet3 virtual Ethernet adapter.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::EthernetTypes::EmulationType::GetEnumValue | ( |  | ) | `[inline]`

static EmulationType [] vmware::vcenter::vm::hardware::EthernetTypes::EmulationType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::EthernetTypes::EmulationType::IsUnknown | ( |  | ) | `[inline]`

static EmulationType vmware::vcenter::vm::hardware::EthernetTypes::EmulationType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly EmulationType vmware::vcenter::vm::hardware::EthernetTypes::EmulationType::E1000 = new EmulationType("E1000", Values.E1000)`[static]`

E1000 ethernet adapter.

readonly EmulationType vmware::vcenter::vm::hardware::EthernetTypes::EmulationType::E1000E = new EmulationType("E1000E", Values.E1000E)`[static]`

E1000e ethernet adapter.

readonly EmulationType vmware::vcenter::vm::hardware::EthernetTypes::EmulationType::PCNET32 = new EmulationType("PCNET32", Values.PCNET32)`[static]`

AMD Lance PCNet32 Ethernet adapter.

readonly EmulationType vmware::vcenter::vm::hardware::EthernetTypes::EmulationType::VMXNET = new EmulationType("VMXNET", Values.VMXNET)`[static]`

VMware Vmxnet virtual Ethernet adapter.

readonly EmulationType vmware::vcenter::vm::hardware::EthernetTypes::EmulationType::VMXNET2 = new EmulationType("VMXNET2", Values.VMXNET2)`[static]`

VMware Vmxnet2 virtual Ethernet adapter.

readonly EmulationType vmware::vcenter::vm::hardware::EthernetTypes::EmulationType::VMXNET3 = new EmulationType("VMXNET3", Values.VMXNET3)`[static]`

VMware Vmxnet3 virtual Ethernet adapter.

The documentation for this class was generated from the following file:

- EthernetTypes.cs